import { ModuleWithProviders } from '@angular/core';
import { ApiConfig } from './interfaces/config.interface';
export declare class ApiModule {
    constructor(_parent: ApiModule);
    static forRoot(config: ApiConfig): ModuleWithProviders<ApiModule>;
}
